#! /bin/sh
stamp=`date "+%Y/%m/%d %H:%M:%S"`
calls=`/usr/sbin/asterisk -rx 'core show channels' | grep "active call"`
channels=`/usr/sbin/asterisk -rx 'core show channels' | grep "active channel"`
sip_total=`/usr/sbin/asterisk -rx 'sip show users' | wc -l`
sip_online=`/usr/sbin/asterisk -rx 'sip show peers' | grep OK | wc -l`
web_root="/var/www/html/services"

echo "$calls" > $web_root/active_channels.php
echo "$channels" >> $web_root/active_channels.php
echo "$sip_total" >> $web_root/active_channels.php
echo "$sip_online" >> $web_root/active_channels.php
echo "$stamp" >> $web_root/active_channels.php

sed -i 's/active calls//g' $web_root/active_channels.php
sed -i 's/active channels//g' $web_root/active_channels.php
